Page MenuHomePhabricator

The OOUI hack to prevent scrolling while dialog is open causes pages to scroll when dialog opens
Closed, ResolvedPublic1 Estimate Story Points

Description

The OOUI hack to prevent scrolling while dialog is open causes pages to scroll when dialog opens (added in 4d87bde4495e5204b722d2154885f9c127ad30e3 / https://gerrit.wikimedia.org/r/#/c/179598/).

To reproduce:

  • Edit a long page using VisualEditor, such as https://en.wikipedia.org/wiki/Skyfall
  • Scroll far down and open a dialog (for example, for one of the navbox templates; reference list is not a good option because the column highlights in Chrome will mess things up, T52036)
    • Observe that window scrollbar disappears.
    • Observe that the page noticeably scrolls up as it does; in extreme cases, the template itself might go offscreen.

Details

Related Gerrit Patches:

Event Timeline

matmarex created this task.Feb 15 2015, 7:15 PM
matmarex assigned this task to Esanders.
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a subscriber: matmarex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2015, 7:15 PM
Jdforrester-WMF triaged this task as Medium priority.Feb 17 2015, 12:16 AM
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from Backlog to Doing on the OOUI board.Feb 21 2015, 8:26 PM

Change 196571 had a related patch set uploaded (by Esanders):
Compensate for loss of margin when opening modals

https://gerrit.wikimedia.org/r/196571

Esanders edited subscribers, added: Eloquence; removed: gerritbot.

Change 196571 merged by jenkins-bot:
Compensate for loss of margin when opening modals

https://gerrit.wikimedia.org/r/196571

Jdforrester-WMF closed this task as Resolved.Mar 21 2015, 8:45 PM
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Mar 23 2015, 4:22 PM
Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Mar 26 2015, 8:56 PM